Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7257)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7321)
@@ -21,5 +21,5 @@
 import sys
 from waeup.sirp.browser import (
-    WAeUPEditFormPage, WAeUPAddFormPage, WAeUPDisplayFormPage,
+    SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
     NullValidator)
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
@@ -29,5 +29,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
 from waeup.sirp.hostels.hostel import Hostel
@@ -57,5 +57,5 @@
     """
 
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.order(5)
     grok.require('waeup.viewHostels')
@@ -91,5 +91,5 @@
         return 'Block %s, Room %s, Bed %s' % (co[1], co[2], co[3])
 
-class HostelsContainerPage(WAeUPDisplayFormPage):
+class HostelsContainerPage(SIRPDisplayFormPage):
     """The standard view for hostels containers.
     """
@@ -109,5 +109,5 @@
     text = 'Manage accommodation section'
 
-class HostelsContainerManagePage(WAeUPDisplayFormPage):
+class HostelsContainerManagePage(SIRPDisplayFormPage):
     """The manage page for hostel containers.
     """
@@ -141,5 +141,5 @@
         return
 
-class HostelAddFormPage(WAeUPAddFormPage):
+class HostelAddFormPage(SIRPAddFormPage):
     """Add-form to add a hostel.
     """
@@ -169,5 +169,5 @@
         return
 
-class HostelDisplayFormPage(WAeUPDisplayFormPage):
+class HostelDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display hostel data
     """
@@ -194,5 +194,5 @@
     target = 'manage'
 
-class HostelManageFormPage(WAeUPEditFormPage):
+class HostelManageFormPage(SIRPEditFormPage):
     """ View to edit hostel data
     """
@@ -294,5 +294,5 @@
         return
 
-class BedManageFormPage(WAeUPEditFormPage):
+class BedManageFormPage(SIRPEditFormPage):
     """ View to edit bed data
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py	(revision 7257)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py	(revision 7321)
@@ -18,14 +18,14 @@
 from zope.interface import invariant, Invalid
 from zope import schema
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import (
     bed_letters, blocks, special_handling, StudentSource)
 
-class IHostelsContainer(IWAeUPObject):
+class IHostelsContainer(ISIRPObject):
     """A container for all kind of hostel objects.
 
     """
 
-class IHostel(IWAeUPObject):
+class IHostel(ISIRPObject):
     """A base representation of hostels.
 
@@ -145,5 +145,5 @@
             raise Invalid('Bed categories overlap.')
 
-class IBed(IWAeUPObject):
+class IBed(ISIRPObject):
     """A base representation of beds.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py	(revision 7257)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py	(revision 7321)
@@ -22,5 +22,5 @@
 from zope.catalog.interfaces import ICatalog
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 
 NOT_OCCUPIED = u'not occupied'
@@ -53,5 +53,5 @@
         return "%s - %s" % (value, self.acco_students(context)[value])
 
-bed_letters = SimpleWAeUPVocabulary(
+bed_letters = SimpleSIRPVocabulary(
     ('Bed A','A'),
     ('Bed B','B'),
@@ -65,5 +65,5 @@
     )
 
-blocks = SimpleWAeUPVocabulary(
+blocks = SimpleSIRPVocabulary(
     ('Block A','A'),
     ('Block B','B'),
@@ -83,5 +83,5 @@
     )
 
-special_handling = SimpleWAeUPVocabulary(
+special_handling = SimpleSIRPVocabulary(
     ('Regular Hostel','regular'),
     ('Blocked Hostel','blocked'),
